Summary: Job spooling tools.
Name: at
Version: 3.1.7
Release: 14mdk
Copyright: GPL
Group: System/Servers
Source: ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/at-3.1.7.tar.bz2
Source2: atd.init
Patch0: at-3.1.7-lockfile.patch.bz2
Patch1: at-3.1.7-noon.patch.bz2
Patch2: at-3.1.7-paths.patch.bz2
Patch3: at-3.1.7-sigchld.patch.bz2
Patch4: at-noroot.patch.bz2
Prereq: fileutils chkconfig
Conflicts: crontabs <= 1.5
Buildroot: /var/tmp/%{name}-root

%description
At and batch read commands from standard input or from a specified file.
At allows you to specify that a command will be run at a particular time
(now or a specified time in the future).  Batch will execute commands
when the system load levels drop to a particular level.  Both commands
use /bin/sh to run the commands.

You should install the at package if you need a utility that will do
time-oriented job control.  Note: you should use crontab instead, if it is
a recurring job that will need to be repeated at the same time every
day/week/etc.

%prep
%setup -q
%patch0 -p1 -b .lockfile
%patch1 -p1 -b .noon
# The next path is a brute-force fix that will have to be updated
# when new versions of at are released.
%patch2 -p1 -b .paths

%patch3 -p1 -b .sigchld
%patch4 -p1 -b .noroot


%build
#libtoolize --copy --force
#%endif
#CFLAGS="$RPM_OPT_FLAGS" ./configure --with-atspool=/var/spool/at/spool --with-jobdir=/var/spool/at

%configure --with-atspool=/var/spool/at/spool --with-jobdir=/var/spool/at

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

make install IROOT=$RPM_BUILD_ROOT DAEMON_USERNAME=`id -nu` \
	DAEMON_GROUPNAME=`id -ng`
echo > $RPM_BUILD_ROOT/etc/at.deny
mkdir docs
cp ${RPM_BUILD_ROOT}%{_prefix}/doc/at/* docs/
install -m 755 $RPM_SOURCE_DIR/atd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/atd

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/spool/at/.SEQ
chmod 600 /var/spool/at/.SEQ
chown daemon.daemon /var/spool/at/.SEQ
/sbin/chkconfig --add atd

%preun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del atd
fi

%files
%defattr(-,root,root)
%doc docs/*
%config /etc/at.deny
%config /etc/rc.d/init.d/atd
%attr(0700,daemon,daemon)	%dir /var/spool/at
%attr(0700,daemon,daemon)	%ghost /var/spool/at/.SEQ
%attr(0700,daemon,daemon)	%dir /var/spool/at/spool
/usr/sbin/atrun
/usr/sbin/atd
/usr/man/man8/atrun.8.bz2
/usr/man/man8/atd.8.bz2
/usr/man/man1/batch.1.bz2
/usr/man/man1/atrm.1.bz2
/usr/man/man1/atq.1.bz2
/usr/man/man1/at.1.bz2
/usr/bin/batch
/usr/bin/atrm
/usr/bin/atq
%attr(4755,root,root)	/usr/bin/at

%changelog
* Sun Apr 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.1.7-14mdk
- fixed man page compression --> is handled by spechelper

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 3.1.7-13mdk
- now under system/Servers group

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build Release.

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merging with the RedHat changes :
	-* correct perms for /var/spool/at after defattr.
	-* reset SIGCHLD before exec (#3016).
	-* fix handling the 12:00 time

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Prereq update (we need setup package before)

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man pages
- handle RPM_OPT_FLAGS
- add de locale

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- learned to spell

* Wed Oct 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- updated to at version 3.1.7
- updated lock and sequence file handling with %ghost
- Use chkconfig and atd, now conflicts with old crontabs packages

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

